<?php

error_reporting(E_ALL);

include('GIFEncoder.class.php');

require('config.php');
require('../files/dbstart.php');
require('../files/session.php');

$userid = $_SESSION['userid'];

$speed = $_POST['speed'];
$width = $_POST['width'];
$height = $_POST['height'];
$loop = $_POST['loop'];
$data = $_POST['data'];
$modifyType = $_POST['type'];
$recordid = $_POST['recid'];

$data = stripslashes($data);
$filenames = json_decode($data);

header('Content-type: image/gif');

if(isset($_POST['download'])){
    header('Content-Disposition: attachment; filename="animated.gif"');
}

$frames = array();
$framed = array();

function frame($image){
    ob_start();
    imagegif($image);
    global $frames, $framed;
    $frames[]=ob_get_contents();
    $framed[]=$_POST['speed'] / 10;
    ob_end_clean();
}

$cnt = count($filenames);
for($key=0;$key<$cnt;$key++)
{
    $tmp_name = str_replace(BASEURI, '', $filenames[$key]);
    $im = imagecreatefromstring(file_get_contents('../'.$tmp_name));
    $resized = imagecreatetruecolor($_POST['width'],$_POST['height']);

    $white = imagecolorallocate($resized, 0, 0, 0);
    $x = 0; $y = 0; $w = 100; $h =100;
    $orgWidth = imagesx($im);
    $orgHeight = imagesy($im);
    {
        $r1= $_POST['width'] / $_POST['height'];
        $r2= $orgWidth / $orgHeight;
        if($orgWidth <= $_POST['width'] && $orgHeight <= $_POST['height']){
            $w = $orgWidth;
            $h = $orgHeight;
            $x = ($_POST['width'] - $w) / 2;
            $y = ($_POST['height'] - $h) / 2;
        }
        else if($r1 > $r2){
            $h = $_POST['height'];
            $y = 0;
            $w = $h * $r2;
            $x = ($_POST['width'] - $w) / 2;
        } else {
            $w = $_POST['width'];
            $x = 0;
            $h = $w / $r2;
            $y = ($_POST['height'] - $h) / 2;
        }
    }

    imagecolortransparent($resized, $white);
    imagecopyresized($resized, $im, $x, $y, 0, 0, $w, $h, imagesx($im), imagesy($im));

    frame($resized);
}

$gif = new GIFEncoder($frames,$framed,$loop==1?0:1,2,0,0,0,'bin');

$output = 'gif/gen_'.time().'.gif';
$fp = fopen($output, 'w');
fwrite($fp, $gif->GetAnimation());
fclose($fp);

$gif_fullpath = BASEURI.'admin/'.$output;

if($modifyType == 'add'){
    $time = time();
    $qry = 'insert into records (userid, gifpath, lastmodified, width, height, speed, isloop) values ('.
        $userid.', \''.$gif_fullpath.'\', '.$time.', '.$width.','.$height.','.$speed.','.$loop.')';

    execQuery($qry);
    $res = getArrayWithQuery("select * from records where lastmodified=".$time);
    $recid = $res[0]['id'];
    foreach($filenames as $filename){
        $res = getArrayWithQuery("select * from images where imagepath='".$filename."'");
        if(count($res) > 0){
            execQuery('insert into recordimages (recordid, imageid) values ('.$recid.', '.$res[0]['id'].')');
        }
    }
}else{
    $qry1 = 'update records set gifpath=\''.$gif_fullpath.'\', lastmodified='.time().
        ', width='.$width.', height='.$height.', speed='.$speed.', isloop= '.$loop.' where id='.$recordid;
    $qry2 = "delete from recordimages where recordid=".$recordid;

    execQuery($qry1);
    if(execQuery($qry2)){
        foreach($filenames as $filename){
            $res = getArrayWithQuery("select * from images where imagepath='".$filename."'");
            if(count($res) > 0) execQuery('insert into recordimages (recordid, imageid) values ('.$recordid.', '.$res[0]['id'].')');
        }
    }
}
echo($gif_fullpath);
