<?php
//error_reporting(E_ALL);
require('lang.php');
require('admin/config.php');
require('files/dbstart.php');
require('admin/logger.php');

$expired = false;

if (isset($_POST['email']) && isset($_POST['password'])) {
    $email = $_POST['email'];
    $pwd = crypt($_POST['password'], KEY);
    $rows = getArrayWithQuery('select * from user where email="' . $email . '" and password="' . $pwd . '"');

    if (count($rows) == 1) {
        session_start();

        $now = time();
        $expiredate=$rows[0]['expiredate'];
        if(trim($expiredate) != ''){
            $etime = strtotime($expiredate);
            if($etime < $now) $expired = true;
        }

        if(!$expired){
            $_SESSION['userid'] = $rows[0]['id'];
            $type = $rows[0]['type'];

            if ($type == 'admin') {
                $_SESSION['usertype'] = 'admin';
                header('Location: admin');
            } else {
                $_SESSION['usertype'] = 'user';
                header('Location: admin');
            }
        }

    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo $lang['login'] ?></title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.6 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/square/blue.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body class="hold-transition login-page">

<!-- jQuery 2.2.3 -->
<script src="plugins/jQuery/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="bootstrap/js/bootstrap.min.js"></script>
<!-- iCheck -->
<script src="plugins/iCheck/icheck.min.js"></script>
<script src="dist/js/validate.js"></script>

<script>

    $(document).ready(function () {
        $('#submitform').submit(function (event) {

            var pwd = $("#password").val();

            var ret = true;
            var errmsg = '';
            var validation = isValidPassword(pwd);
            if (validation.status != 'yes') {
                ret = false;
                errmsg += validation.msg;
            }
            if (ret == false) {
                alert(errmsg);
                event.preventDefault();
            }
        });
    });


    $(function () {
        $('input').iCheck({
            checkboxClass: 'icheckbox_square-blue',
            radioClass: 'iradio_square-blue',
            increaseArea: '20%' // optional
        });
    });
</script>


<div class="login-box">
    <div class="login-box-body">
        <p class="login-box-msg"><?php echo $lang['signin'] ?></p>

        <form id="submitform" action="login.php" method="post">

            <?php if($expired){ ?>
                <div class="alert alert-error" id="id-expire-alert">
                    <button type="button" class="close" data-dismiss="alert">x</button>
                    <strong><?php echo $lang['you_are_expired'] ?> </strong>
                </div>
                <script>
                    $("#id-expire-alert").fadeTo(4000, 500).slideUp(500, function () {
                        $("#id-expire-alert").slideUp(500);
                    });
                </script>
            <?php } ?>

            <div class="form-group has-feedback">
                <input name="email" type="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" class="form-control"
                       placeholder="<?php echo $lang['email'] ?>">
                <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
                <input id="password" name="password" type="password" class="form-control"
                       placeholder="<?php echo $lang['password'] ?>">
                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="row">
                <div class="col-xs-8">
                    <div class="checkbox icheck">
                        <label>
                            <input type="checkbox"> <?php echo $lang['rememberme'] ?>
                        </label>
                    </div>
                </div>
                <!-- /.col -->
                <div class="col-xs-4">
                    <button type="submit"
                            class="btn btn-primary btn-block btn-flat"><?php echo $lang['signin'] ?></button>
                </div>
                <!-- /.col -->
            </div>
        </form>

        <a href="forgotpass.php"><?php echo $lang['forgotpassword'] ?></a><br>

    </div>
    <!-- /.login-box-body -->
</div>
<!-- /.login-box -->


</body>
</html>
