/**
 * Created by Administrator on 5/3/2017.
 */

var interval = 500;
var loop = true;
var gif_width = 200;
var gif_height = 200;
var keep_prop = true;
var gif_percent = 100;

var modifyType = 'add';

var recordid = 0;
var yt_loading = false;
var video_loaded = false;

$(function(){

    $(document).ready(function(){
        $('#gif-interval').on('change', function(){
            interval = parseInt($('#gif-interval').val());
        });

        $('#gif-percent').on('change', function(){
            gif_percent = parseInt($('#gif-percent').val());
            var width = gif_width * gif_percent / 100;
            var height = gif_height * gif_percent / 100;
            $('.gif-preview-box').css('width', width);
            $('.gif-preview-box').css('height', height);

        });

        $('#gif-width').on('change', function(){
            var rate = gif_width / gif_height;
            gif_width = parseInt($('#gif-width').val());
            if(keep_prop){
                gif_height = gif_width / rate;
                $('#gif-height').val(gif_height);
            }

            var width = gif_width * gif_percent / 100;
            var height = gif_height * gif_percent / 100;
            $('.gif-preview-box').css('width', width);
            $('.gif-preview-box').css('height', height);
        });

        $('#gif-height').on('change', function(){
            var rate = gif_width / gif_height;
            gif_height = parseInt($('#gif-height').val());
            if(keep_prop){
                gif_width = gif_width * rate;
                $('#gif-width').val(gif_width);
            }

            var width = gif_width * gif_percent / 100;
            var height = gif_height * gif_percent / 100;
            $('.gif-preview-box').css('width', width);
            $('.gif-preview-box').css('height', height);
        });

        $('#gif-keep-prop').on('change', function(){
            keep_prop = $('#gif-keep-prop').prop('checked');
        });

        $('#gif-loop').on('change', function(){
            loop = $('#gif-loop').prop('checked');
        });

        $('#btn-gen-gif').click(function(){
            //if(looping) clearTimeout(timer);

            var srcs = [];
            if(imgs.length == 0){
                return;
            }
            for(var i = 0; i < imgs.length; i++){
                srcs.push(imgs[i].attr('src'));
            }
            var data = JSON.stringify(srcs);

            var tmpw = gif_width*gif_percent/100;
            var tmph = gif_height*gif_percent/100;

            $.ajax({
                url: 'gif.php',
                type: 'POST',
                data: {
                    data: data,
                    width: tmpw,
                    height: tmph,
                    speed: interval,
                    loop: loop?1:0,
                    type: modifyType,
                    recid: recordid
                },

                success: function(data){
                    //$('<img src="'+data+'">').insertAfter($('#btn-gen-gif'));
                    //alert(data);
                    window.location = 'records.php';
                },
                error: function(xhr, textStatus, errorThrown){
                    alert('Server is busy now');
                }});
        });

        $('#btn-upload-mp4').click(function(){
            if(yt_loading) return;
            $('#fileupload2').click();
        });
    });

    yt_loading = false;
    video_loaded = false;
    $('#yt-load-anim').hide();

    $('#btn-load-yt').click(function(){
        if(yt_loading) return;
        if($('#yt-url').val()){
            $link = $('#yt-url').val();
            $('#yt-load-anim').show();
            $('#buffering-msg').html(waiting_load_yt);
            yt_loading = true;
            $.ajax({url: 'downloadvideo.php',
                type: 'GET',
                data: {vid: $link},
                success: function(data){
                    var result = JSON.parse(data);
                    if(result.status=='success'){
                        $('#vid').attr('src', result.value);
                        video_loaded = true;
                    }else{
                        alert(result.value);
                    }
                    $('#yt-load-anim').hide();
                    yt_loading = false;
                },
                error: function(xhr, textStatus, errorThrown){
                    $('#yt-load-anim').hide();
                    yt_loading = false;
                    alert('Request failed!');
                }});

        }else{
            alert("Please input youtube video link to be processed");
        }
    });

    $('#btn-yt-screenshot').click(function(){
        if(!video_loaded) return; // vikings7
        var canvas = document.createElement("canvas");
        var video = document.getElementById('vid');
        canvas.height = 320;
        canvas.width = (video.videoHeight > 0)? canvas.height*video.videoWidth/video.videoHeight : 480;
        var ctx = canvas.getContext('2d');
        ctx.fillRect(0, 0, canvas.width, canvas.height);
        ctx.drawImage(video, 0, 0, canvas.width, canvas.height);

        var data = canvas.toDataURL('image/png');

        $.ajax({
            url: 'upload/getimage.php',
            type: 'POST',
            data: {data: data},

            success: function(data){
                var result = JSON.parse(data);
                if(result.status=='success'){
                    addThumbnail(result.value);
                }else{
                    alert('Error! '+result.value);
                }
            },
            error: function(xhr, textStatus, errorThrown){
                alert('Request failed!');
            }});

    });

    $('#btn-proc').click(function(){

        var arr = [];
        $('#list-yt-thumbs').find('img').each(function(){
            arr.push($(this).attr('src'));
        });

        if(arr.length == 0){
            return;
        }

        var video = $('#vid').get(0);
        if(!video.paused){
            video.pause();
        }

        $('#tab-step2').click();
        //window.location = '#step2';


        var jsonStr = JSON.stringify(arr);

        initStep2();
        loadAnimation(jsonStr);

        //$.ajax({
        //    url: 'gengif.php',
        //    data: {images: jsonStr},
        //    success: function(data){
        //
        //    },
        //    error: function(xhr, textStatus, errorThrown){
        //        alert('Request failed!');
        //    }
        //});
    });

});

function initStep2(){
    $('#gif-percent').val(gif_percent);
    $('#gif-width').val(gif_width);
    $('#gif-height').val(gif_height);
    $('#gif-keep-prop').prop('checked', keep_prop);
    $('#gif-loop').prop('checked', loop);
    $('#gif-interval').val(interval);

    $('.gif-preview-box').css('width', gif_width);
    $('.gif-preview-box').css('height', gif_height);

}

var imgs=[];
var curImg = 0;
var timer = null;
var looping = false;
var shownImg = null;
function loadAnimation(src){
    var imgsrcs = JSON.parse(src);
    imgs = [];
    $('.gif-preview-box').html("");
    for(var i = 0; i < imgsrcs.length; i++){
        var img = $("<img id='gif-preview-img-"+i+"' class='gif-preview-img' src='"+imgsrcs[i]+"'>");
        imgs.push(img);
        img.appendTo($('.gif-preview-box'));
        img.hide();
    }

    if(looping){
        clearTimeout(timer);
        looping = false;
    }

    if(imgs.length > 0){
        //showImageLoop();
        looping = true;
        curImg = 0;
        setTimeout(showImageLoop, interval);
    }
}

function showImageLoop(){
    //$('.gif-preview-img').attr('src', imgs[curImg]);
    if(shownImg) shownImg.hide();
    var img = $('#gif-preview-img-'+curImg);
    img.show();
    shownImg = img;

    curImg = (curImg + 1) % imgs.length;

    timer = setTimeout(showImageLoop, interval);
}

function addThumbnail(src){

    var newElem = '<div class="thumb-box">\n' +
        '<div class="thumb-img-box"><img src="'+src+'" class="thumb-img"></div>\n' +
        '<input type="button" value="x" class="btn-del" />\n' +
        '</div>' +
        '<div class="thumb-img-gap"></div>';


    //$('<img src="' + data + '">').appendTo($('#list-yt-thumbs'));
    $(newElem).appendTo($('#list-yt-thumbs'));

    $('.btn-del').click(function(){

        var imgpath = $(this).parent().find('img').attr('src');

        delete_file(imgpath);

        $(this).parent().next().remove();
        $(this).parent().remove();
    });

    $('.thumb-img').on('mousedown', function(){
        $(this).fadeTo(0, 0.5);
    });
    $('.thumb-img').on('mouseup', function(){
        $(this).fadeTo(0, 1);
    });

    $(".thumb-box").draggable({
        revert: "invalid",
        refreshPositions: true,
        drag: function (event, ui) {
            ui.helper.addClass("draggable");
        },
        stop: function (event, ui) {
            //ui.helper.removeClass("draggable");
            //var image = this.src.split("/")[this.src.split("/").length - 1];
            //if ($.ui.ddmanager.drop(ui.helper.data("draggable"), event)) {
            //    //alert(image + " dropped.");
            //}
            //else {
            //    //alert(image + " not dropped.");
            //}
        }
    });
    $(".thumb-img-gap").droppable({
        hoverClass: 'thumb-img-gap-dragover',
        drop: function (event, ui) {
            //if ($("#dvDest img").length == 0) {
            //    $("#dvDest").html("");
            //}
            //ui.draggable.addClass("dropped");
            //$("#dvDest").append(ui.draggable);
            ui.draggable.addClass("dropped");
            //ui.draggable.attr('style', '');
            ui.draggable.css('left', 0);
            ui.draggable.css('top', 0);
            var next = ui.draggable.next();
            $(this).after(ui.draggable);
            ui.draggable.after(next);
        }
    });

}

function delete_file(path){
    $.ajax({
        url: 'upload/fileman.php',
        type: 'POST',
        data: {
            cmd: 'delete_file',
            value: path
        }
    });
}

