<?php

require('admin/config.php');
require('lang.php');
require('files/dbstart.php');

function generateRandomString($len){

    $numbers = '0123456789';
    $characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randstring = '';
    for ($i = 0; $i < $len; $i++) {
        if(rand(0, 9) > 4) $randstring .= $characters[rand(0, strlen($characters) - 1)];
        else $randstring .= $numbers[rand(0, strlen($numbers) - 1)];
    }
    return $randstring;
}

if(isset($_POST['email'])){

    $email = $_POST['email'];
    $newPwd = generateRandomString(12);
    $pwd = crypt($newPwd, KEY);

    $rows = getArrayWithQuery('select * from user where email="'.$email.'"');

    $res = "";
    if(count($rows) == 1){

        $result = execQuery('update user set password="'.$pwd.'" where email="'.$email.'"');
        if(!$result){
            header('Location:forgotpass.php?error');
            return;
        }

        $name = $rows[0]['name'];

        $subject=$lang['your_password_changed'];
        $msg = '
            <html>
            <head>
                <title>'.$lang['your_password_changed'].'</title>
            </head>
            <body>
                '.$lang['hi'].', '.$name.'!
                <br>
                '.$lang['your_password_changed'].' '.$lang['email'].': '.$email.', '.$lang['password'].': '.$newPwd.'
                <br>
                '.$lang['click_the_following_link_to_login'].' <br><a href="'.BASEURI.'">'.BASEURI.'</a>
            </body>
            </html>';

        $headers = "MIME-Version: 1.0" . "\r\n";
        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        $headers .= 'From: '. $from_name . '<'.$from_email.'>' . "\r\n";
        $headers .= 'Cc: '.$from_email. "\r\n";

        if(mail($email,$subject,$msg,$headers))
            $res = 'success';
        else
            $res = 'error';
    }else{
        $res = 'noemail';
    }
    header('Location:forgotpass.php?'.$res);
    return;
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo $lang['forgotpassword']?></title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.6 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/square/blue.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body class="hold-transition login-page">

<!-- jQuery 2.2.3 -->
<script src="plugins/jQuery/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="bootstrap/js/bootstrap.min.js"></script>
<!-- iCheck -->
<script src="plugins/iCheck/icheck.min.js"></script>
<script src="dist/js/validate.js"></script>

<script>

    $(document).ready(function(){
        $('#submitform').submit(function(event){

            var pwd = $("#password").val();

            var ret = true;
            var errmsg = '';
            var validation = isValidPassword(pwd);
            if(validation.status != 'yes'){
                ret = false;
                errmsg += validation.msg;
            }
            if(ret == false){
                alert (errmsg);
                event.preventDefault();
            }
        });
    });


    $(function () {
        $('input').iCheck({
            checkboxClass: 'icheckbox_square-blue',
            radioClass: 'iradio_square-blue',
            increaseArea: '20%' // optional
        });
    });
</script>


<div class="login-box">
    <div class="login-box-body">
        <p class="login-box-msg"><?php echo $lang['forgotpassword']?></p>

        <?php if(isset($_GET['success'])){?>
            <div class="alert alert-success" id="success-alert">
                <button type="button" class="close" data-dismiss="alert">x</button>
                <strong><?php echo $lang['password_sent_success']?> </strong>
            </div>
            <script>
                $("#success-alert").fadeTo(1000, 500).slideUp(500, function(){
                    $("#success-alert").slideUp(500);
                });
            </script>
        <?php } else if(isset($_GET['noemail'])){?>
            <div class="alert alert-error" id="no-email-alert">
                <button type="button" class="close" data-dismiss="alert">x</button>
                <strong><?php echo $lang['no_email']?> </strong>
            </div>
            <script>
                $("#no-email-alert").fadeTo(4000, 500).slideUp(500, function(){
                    $("#no-email-alert").slideUp(500);
                });
            </script>
        <?php } else if(isset($_GET['error'])){?>
        <div class="alert alert-error" id="error-alert">
            <button type="button" class="close" data-dismiss="alert">x</button>
            <strong><?php echo $lang['went_wrong']?> </strong>
        </div>
        <script>
            $("#error-alert").fadeTo(4000, 500).slideUp(500, function(){
                $("#error-alert").slideUp(500);
            });
        </script>
        <?php } ?>

        <form id="submitform" action="forgotpass.php" method="post">
            <div class="form-group has-feedback">
                <input name="email" type="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" class="form-control" placeholder="<?php echo $lang['email']?>">
                <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
            </div>

            <div class="row">

                <!-- /.col -->
                <div class="col-xs-4">
                    <button type="submit" class="btn btn-primary btn-block btn-flat" style="width: 200px" ><?php echo $lang['send_pwd_to_email']?></button>
                </div>
                <!-- /.col -->
            </div>
        </form>

    </div>
    <!-- /.login-box-body -->
</div>
<!-- /.login-box -->


</body>
</html>
